Subject: Re: bug#63620: 30.0.50; [Feature Request] run hooks on sleep/wake

From: Eli Zaretskii <[email-masked]>
Date: Tue, 04 Feb 2025 17:30:51 +0200

> From: Ship Mints <[email-masked]>
> Date: Tue, 4 Feb 2025 10:21:05 -0500
> Cc: Andrew Cohen <[email-masked]>, [email-masked], Eli Zaretskii <[email-masked]>, 
> 	Stefan Monnier <[email-masked]>
> 
> Once an API is agreed in principle, I'd be willing to take a stab at an NS implementation for sleep/wake
> events to exercise the API, and so we'd have both dbus and NS. On macOS, it's basically "will sleep" and
> "did wake" events, and I don't think there's a hibernate event.

What I had in mind is basically to have the D-Bus handler push a
special event onto unread-command-events, and then that event could be
bound to a command.

Michael and Stefan, does it make sense to work like that with D-Bus?